<?php

  $upcomingFilename='allBooks.txt';

  $fp = fopen( $upcomingFilename, "r" );
  $file_contents = fread( $fp, filesize( $upcomingFilename ) );
  fclose( $fp );
  $file_contents = trim($file_contents);

  // Place the individual lines from the file contents into an array.

  $bookArray = explode ( "\n", $file_contents );
?>